Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class ObjectNotActiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ObjectNotActiveHelper

public abstract class ObjectNotActiveHelper
extends Object

org/omg/PortableServer/POAPackage/ObjectNotActiveHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/PortableServer/poa.idl Wednesday, January 30, 2002 4:01:38 AM GMT-08:00

Constructor Summary
`ObjectNotActiveHelper()`

Method Summary
`static ObjectNotActive` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ObjectNotActive that)`
`static ObjectNotActive` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, ObjectNotActive value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNotActiveHelper

    public ObjectNotActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ObjectNotActive that)

### extract

    public static ObjectNotActive extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static ObjectNotActive read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             ObjectNotActive value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.